pgMemento is written in plain **PL/pgSQL** using functions which are available in **PostgreSQL 9.5 or higher**. So, when installing pgMemento, make sure the 'plpgsql' language is available in your database.

I tagged a first version of pgMemento (v0.1) that works with the JSON data type and can be used along with PostgreSQL 9.3. But, it is slower and can not handle very big JSON strings. Releases v0.2 and v0.3 require at least PostgreSQL 9.4.

Note, PostgreSQL 12+ is only supported starting from pgMemento v0.7. The `adsrc` column in the `pg_attrdef` has been removed and `pg_get_expr(adbin, adrelid, TRUE)` has to be used instead. Simply replace all occurences of `adscr` in older versions of pgMemento to make it work with Postgres 12+.

Postgres 14+ is only supported starting from v0.7.3, because pgMemento used custom sessions variables starting with numbers which are not allowed anymore in 14+.
