List all transactions that had an effect on a certain column of a given row (`audit_id`) by using the `?` operator:

```sql
SELECT DISTINCT
  e.transaction_id
FROM
  pgmemento.table_event_log e
JOIN
  pgmemento.row_log r
  ON r.event_key = e.event_key
WHERE 
  r.audit_id = 4 
  AND (r.old_data ? 'column_B'
   OR r.new_data ? 'column_B');
```