To upgrade from `v0.7` to `v0.7.4` either execute the `UPGRADE_v07_to_v074.sql` script directly, or use the `ALTER EXTENSION` command if both versions of pgMemento are [installed](https://github.com/pgMemento/pgMemento/wiki/Install-pgMemento) within PostgreSQL.

```bash
-- with psql
psql -h localhost -p 5432 -U my_user -d my_database -f UPGRADE_061_to_V07.sql

-- or after installation from within the database
ALTER EXTENSION UPDATE TO '0.7.4';
```
